import { SParser } from "@saga-web/big/lib";
import { SInfoItem } from "../items/SInfoItem";
import { Info } from "../types/Info";

/**
 * 设备信息解析器
 */
export class SInfoParser extends SParser {
    /** 设备list   */
    infoItem: SInfoItem[] = [];
    /**
     * 解析数据
     *
     * @param   data    设备数据
     * */
    parseData(data: Info[]): void {
        if (data) {
            data.map((t: Info): void => {
                let info = new SInfoItem(null, t);
                this.infoItem.push(info);
            });
        }
    } // Function parseData()

    // private addEquipment(): void {} // Function addEquipment()
} // class SEquipmentParser
