

import { SMarkerType } from "@saga-web/big/lib/enums/SMarkerType";
import { Point } from "@saga-web/big/lib/types/Point";
import { Size } from "@saga-web/big/lib/types/Size";

/**
 * 标识对象接口
 *
 * @author  yunxing
 */
export interface Info {
    /** ID */
    ID: string;
    /** 名称  */
    Name: string;
    Code: string;
    AttachObjectIds: any[];
    GraphElementType: string;
    // Type: string;
    /** 位置  */
    Pos: Point;
    /** 缩放  */
    Scale?: Point;
    /** 旋转  */
    Rolate?: Point;
    /** 大小  */
    Size?: any;
    /** 由应用自己定义  */
    Properties?: any;
} // Interface Marker
// let a = {
//     ID: '', // ID  自动生成
//     Code: '', // 对应设备的信息点 //
//     Name: '', // 名称
//     AttachObjectIds: [], // 返回工程信息化对象 ID 列表
//     GraphElementType: 'Info', // 图例类型 None/Line/Zone/Image/Equipment/Info:非图例/线条/区域类型/图标/设备
//     Pos: { X: 0, Y: 0 }, // 位置
//     Size: { Width: 100, Height: 25 }, // 大小
//     Properties: {
//         FontSize: 12,
//         Background: '#000000',
//         Color: '#FFFFFF',
//     }, // 由应用自己定义
// }